VARKON Version 1.15 1997-10-24

> ## outint - Procedure

> Write integer to a file
> Description
> Converts an integer to a string, formats the string and writes the result to an open file or pipe.
> Syntax
> outint(f, i, width)

> FILE | f;
> INT | i;
> INT | width;

> Principal parameters

> f | - The name of a filevariable accociated with a file open for write, append or update (W, A or U)
> i | - The integer to write

> Optional parameters

> width | - Controls the amount of padding. If width is less than the actual space required no padding
> | is performed. If width is larger than the space required the result is padded with blanks.
> | The sign of width controls weather padding is done on the left side of the result (+) or the
> | right side (-). If not specified width is set to zero = no padding.

> Examples
> outint(f,12345 ) = "12345"
> outint(f, 12345,10) = " 12345"
> outint(f, 12345, -10) = "12345 "

VARKON Homepage | Index